
%global framework libkgeomap

Name:    kf5-libkgeomap
Summary: A wrapper around different world-map components, to browse and arrange photos over a map
Version: 15.12.3
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/libkgeomap
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-kservice-devel
BuildRequires: kf5-ktextwidgets-devel
BuildRequires: kf5-rpm-macros
BuildRequires: marble-widget-qt5-devel
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: python

Requires: kf5-filesystem

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
License: GPLv2+ and LGPLv2+ and BSD
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS README TODO
%license COPYING
%{_kf5_datadir}/libkgeomap/
%{_kf5_libdir}/libKF5KGeoMap.so.*

%files devel
%license COPYING.LIB
%{_kf5_includedir}/KGeoMap/
%{_kf5_includedir}/libkgeomap_version.h
%{_kf5_libdir}/libKF5KGeoMap.so
%license COPYING-CMAKE-SCRIPTS
%{_kf5_libdir}/cmake/KF5KGeoMap/


%changelog
* Tue Mar 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.3-1
- 15.12.3

* Mon Feb 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.2-1
- 15.12.2

* Fri Feb 05 2016 Rex Dieter <rdieter@fedoraproject.org> 15.12.1-1
- 15.12.1

* Sun Jan 03 2016 Rex Dieter <rdieter@fedoraproject.org> 15.12.0-1
- 15.12.0, first try
